#include <avr/io.h>      
#include <string.h>
#include <avr/interrupt.h>   // Interrupts and timers
#include <util/delay.h>      // Blocking delay functions
#include <avr/pgmspace.h>    // So we can store the 'font table' in ROM
#include <avr/eeprom.h>      // Date/time/pref backup in permanent EEPROM
#include <avr/wdt.h>     // Watchdog timer to repair lockups

#include "files/header/icecubeclock.h"
#include "files/header/language.h"
#include "files/header/sprueche.h"
#include "files/header/lookuptables.h"
//Only necessary for debug via UART
//#include "files/debug_uart/util_uart.h"

//external c-files

#include "files/util.c"
#include "files/interrupt.c"
#include "files/init.c"
#include "files/display.c"
#include "files/menu.c"
#include "files/ambilight.c"
#include "files/dcf.c"
#include "files/temperature.c"
//Only necessary for debug via UART
//#include "files/debug_uart/util_uart.c"

/**************************** MAIN APP *****************************/

int main(void) 
{
    //uint8_t mcustate;
    // check if we were reset
    //mcustate = MCUSR;
    MCUSR = 0;
    
    basic_init();
    
    while (1) 
        {
        kickthedog();
        if (ACSR & _BV(ACO)) 
            {
            gotosleep();
            continue;
            }
        if (just_pressed & 0x1) 
            {
            just_pressed = 0;
            show_menu();
            } 
        else if (just_pressed & 0x4) 
            {
            just_pressed = 0;
            displaymode = NONE;
            if (ctrl_struct.countdown_is_set)
		display_countdown(countdown, FALSE);
            else	
      		display_date(time.d, time.mo, time.y, DAY, FALSE);
            kickthedog();
            delayms(1500);
            kickthedog();
            displaymode = SHOW_TIME;     
            } 
        else if (just_pressed & 0x4) 
            just_pressed = 0;            
        }
}


